Skip to main content
POST
/
api
/
v1
/
employees
Create a new Employee
curl --request POST \
  --url https://fulfillment.noyo.com/api/v1/employees \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "classifications": {
    "BranchName": "HQ"
  },
  "employment": {
    "employment_dates": {
      "full_time_start": "2015-01-01",
      "hire_date": "2014-12-10"
    },
    "employment_status": "full-time",
    "hours_worked": 50,
    "occupation": "Senior Analyst",
    "salary": {
      "amount": 55000,
      "type": "salary",
      "unit": "annual"
    },
    "work_state": "CA"
  },
  "group_id": "2613a221-d3c8-4c8a-86d5-e7e885fd1da9",
  "location_id": "bd957820-4652-4ee7-8a3a-6413df21e28d",
  "person": {
    "contact": {
      "email_address": "david@testemail.com",
      "email_address_type": "home",
      "home_phone": "+12065551234",
      "preferred_method": "email",
      "work_phone": "+12065559876"
    },
    "date_of_birth": "1981-06-22",
    "first_name": "David",
    "home_address": {
      "city": "San Francisco",
      "county": "San Francisco",
      "state": "CA",
      "street_one": "1234 Home Ave",
      "zip_code": "94107"
    },
    "last_name": "Johnson",
    "marital_status": "married",
    "sex": "M",
    "ssn": "123456789"
  }
}
'
import requests

url = "https://fulfillment.noyo.com/api/v1/employees"

payload = {
"classifications": { "BranchName": "HQ" },
"employment": {
"employment_dates": {
"full_time_start": "2015-01-01",
"hire_date": "2014-12-10"
},
"employment_status": "full-time",
"hours_worked": 50,
"occupation": "Senior Analyst",
"salary": {
"amount": 55000,
"type": "salary",
"unit": "annual"
},
"work_state": "CA"
},
"group_id": "2613a221-d3c8-4c8a-86d5-e7e885fd1da9",
"location_id": "bd957820-4652-4ee7-8a3a-6413df21e28d",
"person": {
"contact": {
"email_address": "david@testemail.com",
"email_address_type": "home",
"home_phone": "+12065551234",
"preferred_method": "email",
"work_phone": "+12065559876"
},
"date_of_birth": "1981-06-22",
"first_name": "David",
"home_address": {
"city": "San Francisco",
"county": "San Francisco",
"state": "CA",
"street_one": "1234 Home Ave",
"zip_code": "94107"
},
"last_name": "Johnson",
"marital_status": "married",
"sex": "M",
"ssn": "123456789"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
classifications: {BranchName: 'HQ'},
employment: {
employment_dates: {full_time_start: '2015-01-01', hire_date: '2014-12-10'},
employment_status: 'full-time',
hours_worked: 50,
occupation: 'Senior Analyst',
salary: {amount: 55000, type: 'salary', unit: 'annual'},
work_state: 'CA'
},
group_id: '2613a221-d3c8-4c8a-86d5-e7e885fd1da9',
location_id: 'bd957820-4652-4ee7-8a3a-6413df21e28d',
person: {
contact: {
email_address: 'david@testemail.com',
email_address_type: 'home',
home_phone: '+12065551234',
preferred_method: 'email',
work_phone: '+12065559876'
},
date_of_birth: '1981-06-22',
first_name: 'David',
home_address: {
city: 'San Francisco',
county: 'San Francisco',
state: 'CA',
street_one: '1234 Home Ave',
zip_code: '94107'
},
last_name: 'Johnson',
marital_status: 'married',
sex: 'M',
ssn: '123456789'
}
})
};

fetch('https://fulfillment.noyo.com/api/v1/employees', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "classifications": {
    "BranchName": "HQ"
  },
  "created": 1626281253,
  "employment": {
    "employment_dates": {
      "full_time_start": "2015-01-01",
      "hire_date": "2014-12-10"
    },
    "employment_status": "full-time",
    "hours_worked": 50,
    "occupation": "Senior Analyst",
    "salary": {
      "amount": 55000,
      "type": "salary",
      "unit": "annual"
    }
  },
  "group_id": "2613a221-d3c8-4c8a-86d5-e7e885fd1da9",
  "id": "30b74a44-d5b1-4123-a7a4-6d3aec251ba4",
  "location_id": "bd957820-4652-4ee7-8a3a-6413df21e28d",
  "modified": 1626281253,
  "person": {
    "contact": {
      "email_address": "david@testemail.com",
      "email_address_type": "home",
      "home_phone": "+12065551234",
      "preferred_method": "email",
      "work_phone": "+12065559876"
    },
    "date_of_birth": "1981-06-22",
    "first_name": "David",
    "home_address": {
      "city": "San Francisco",
      "county": "San Francisco",
      "state": "CA",
      "street_one": "1234 Home Ave",
      "zip_code": "94107"
    },
    "last_name": "Johnson",
    "marital_status": "married",
    "sex": "M",
    "ssn": "123456789"
  },
  "version": "6260146a-3486-4c3d-b2a6-fcd3f8c84043"
}
The Member Request workflow is now deprecated in favor of using Member Snapshot

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
employment
object
required

Employment information for the employee

group_id
string<uuid>
required

Unique identifier of the group in Noyo

person
object
required

Personal information for the employee

classifications
object

Fields that classify employees for group structure mapping

location_id
string<uuid>

Unique identifier of the employee group location in Noyo

Response

201 - application/json

Successful Response - Returns the new Employee

created
integer
required
read-only

The date the record was originated

employment
object
required

Employment information for the employee

group_id
string<uuid>
required
read-only

Unique identifier of the group in Noyo

id
string<uuid>
required
read-only

Unique identifier of the employee in Noyo

modified
integer
required
read-only

The date the record was last updated

person
object
required

Personal information for the employee

version
string<uuid>
required
read-only

Version of the employee record

classifications
object
read-only

Fields that classify employees for group structure mapping

custom_individual_id
string
read-only

The custom identifier for this employee in your system

location_id
string<uuid>

Unique identifier of the employee group location in Noyo